Package org.pushingpixels.lafwidget

# Class UiThreadingViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pushingpixels.lafwidget.UiThreadingViolationException

All Implemented Interfaces:
  `Serializable`

public class UiThreadingViolationException extends RuntimeException
This exception is thrown when the code detects violations of UI threading rules.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UiThreadingViolationException(String message)`
Creates a new instance of this exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UiThreadingViolationException

public UiThreadingViolationException(String message)
Creates a new instance of this exception.

Parameters:
  `message` - Message.